mlfk.net
当前位置:首页 >> 我的EClipsE建的mAvEn项目中的pom.xml第一行总有错... >>

我的EClipsE建的mAvEn项目中的pom.xml第一行总有错...

eclipse 的maven插件做的很烂,有些错误其实如果好用的话就不用管

报错错误信息大概意思是说maven想要尝试去下载maven-surefire-plugin,但是又无法下载。 解决方法: 首先确定你的电脑是否可以连接网络。 如果可以连接网络,在maven的本地库的路径下执行以下命令: for /r %i in (*.lastUpdated) do del %i最后...

1.找到maven库目录,进入:~\.m2\repository\org\apache\maven\plugins\maven-surefire-plugin\2.7.1 2.若2.7.1目录下只有,"maven-surefire-plugin-2.7.1.pom.lastUpdated" 则需要到http://repo1.maven.org/maven2/org/apache/maven/plugins/ma...

你的plugin的名字是不是错了,感觉你把l和1搞混了吧,看起来compi"1"er的l有些奇怪

1. 用Eclipse创建一个maven工程 2. 右键maven工程,进行更新 3. 在弹出的对话框中勾选强制更新 然后 pom.xml的红叉就消失了。。

解决方法: 通过将 .m2\repository\org\apache\maven\plugins 文件夹下的文件夹全部删除就可以了(这些文件夹格式都是*-plugin或*-plugins) 删除后重启eclipse,然后强制update

window--preferences--maven--user setting设置了么?

自己搞了很久,网上看了其他人的回答都没解决,后来自己弄好了,解决办法:右键项目,选择maven,然后update project 就可以了

报错错误信息大概意思是说maven想要尝试去下载maven-surefire-plugin,但是又无法下载。 解决方法: 首先确定你的电脑是否可以连接网络。 如果可以连接网络,在maven的本地库的路径下执行以下命令: for /r %i in (*.lastUpdated) do del %i最后...

看看这里是不是设置好了。应该是这个的问题,设置好了就可以了。 拓展: 1、Eclipse 是一个开放源代码的、基于Java的可扩展开发平台。就其本身而言,它只是一个框架和一组服务,用于通过插件组件构建开发环境。幸运的是,Eclipse 附带了一个标准...

网站首页 | 网站地图
All rights reserved Powered by www.mlfk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com